/*
 * GREAT-ER
 *
 * DATA_OUT.H
 *
 * author =  Geert Boeije
 * state =   9.12.1997
*/

#ifndef DATA_OUT_H
#define DATA_OUT_H

int CheckWorkDirectory ( void );

int OpenOutputFile ( FILE** source_arg,
                     char*  filename_arg );

int InstallErrorFile (void);

int InstallOutputFiles (void);

void CloseOutputFiles (void);

void LogControlParams ( FloatType first_stretch_arg,
                        long      tot_alloc_arg );

void LogSegmentResults ( FloatType segment_ID_arg,
                         FloatPtr  segment_iface_arg,
                         FloatPtr  segment_summary_arg,
                         int       start_proc_arg );
 
void LogSummaryDistribs ( FloatPtr allsegments_par_arg );

void LogParameters ( FloatPtr allsegments_par_arg,
                     FloatPtr allsegments_rivclass_arg,
                     FloatType flow_perc_arg );

void LogOutflow ( FloatPtr out_arg,
                  int process_arg );

void LogDischargeParameters ( FloatPtr par_arg,
                              EmissionParPtr em_arg );


void WriteOutputFile ( FloatPtr allsegments_par_arg );

#endif

