/*
 * GREAT-ER
 *
 * EXTGUI.H
 *
 * user interface / functions called from outside
 *
 * author =  Geert Boeije
 *
 * changes by Intevation, http://intevation.net
 * state =   16.02.2000
*/

#ifndef EXTGUI_H
#define EXTGUI_H

#include <windows.h>

/* Intevation change: STRICT is a standard makros of
 * some compilers and needed to be replaced. */
#define STRICT__

#define WIN32_LEAN_AND_MEAN

extern HWND HMainWindow;
extern int Change;
extern int ExitCode;

extern int Window_X;
extern int Window_Y;
extern char SimulationTitle[150];


void InitMainWindow ( HINSTANCE hInst,
                      HINSTANCE hPrevInstance, 
                      LPSTR lpszCmdParam, 
                      int nCmdShow );

void ArrangeMainWindowVisibility (void);

void CheckUserBreak (void);

void StillAlive (void);

int paint ( HDC hdc );

void PaintNow ( void );

/*
void WriteInitializing ( int yes_arg );

void WritePercentDone ( int perc_arg,
                        int h_arg,
                        int m_arg,
                        int s_arg );

*/
void STOP_Box (char* text_arg);

void OK_Box (char* text_arg);

int YN_Box (char* text_arg);

void ShowExplanationinGUI ( void );

#endif
