/*
 * GREAT-ER
 *
 * UTIL.H
 * 
 * several utilities
 *
 * author =  Geert Boeije
 * state =   17.03.1997
*/

#ifndef UTIL_H
#define UTIL_H

/* functions defined in UTIL.C */

int AllocateGlobals ( int   step_arg,
                      long* tot_alloc_arg );

int AllocateLocals ( FloatPtr* allsegments_iface_arg, 
                     FloatPtr* allsegments_summary_arg,
                     FloatPtr* allsegments_sums_arg,
                     FloatPtr* allsegments_par_arg,
                     FloatPtr* allsegments_rivclass_arg,
                     long*     tot_alloc_arg               );

void FreeGlobals ( void );

void FreeLocals ( FloatPtr  allsegments_iface_arg, 
                  FloatPtr  allsegments_summary_arg,
                  FloatPtr  allsegments_sums_arg,
                  FloatPtr  allsegments_par_arg,
                  FloatPtr  allsegments_rivclass_arg );

void CleanUpArrays ( void );

void CleanUpArray ( FloatPtr array_arg,
                    long     size_arg   );

#endif

