/*
 * GREAT-ER
 *
 * MODCALC.H
 *
 * model section - calculation routines
 *
 * author =  Geert Boeije
 * state =   21.08.1997
*/

#ifndef MODCALC_H
#define MODCALC_H

#define ACCURACY 1.0e-10

int LU_Decomposition ( FloatPtr a_arg,
                       int      n_arg, 
                       int*     index_arg, 
                       FloatPtr d_arg );

void LU_Solver ( FloatPtr a_arg,
                 int n_arg,
                 int* index_arg,
                 FloatPtr b_arg );

int SolveLinearSystem ( FloatPtr a_arg,
                        FloatPtr b_arg,
                        FloatPtr x_arg,
                        int n_arg );

#endif

