/*
 * GREAT-ER
 *
 * R_MISC.H
 *
 * author =  Geert Boeije
 * state =   15.10.1997
*/

#ifndef R_MISC_H
#define R_MISC_H 

FloatType OnSiteRemoval ( FloatPtr  process_x_in_arg,
                          FloatPtr  process_par_arg,
                          FloatPtr  general_par_arg,
                          FloatType leak_arg,
                          int       submodel_arg );

FloatType SewerRemoval ( FloatPtr  process_x_in_arg,
                         FloatPtr  process_par_arg,
                         FloatPtr  general_par_arg,
                         FloatType leak_arg,
                         int       submodel_arg );


FloatType SmallSurfaceWaterRemoval ( FloatPtr  process_x_in_arg,
                                     FloatPtr  process_par_arg,
                                     FloatPtr  general_par_arg,
                                     FloatType leak_dummy_arg,
                                     int       submodel_dummy_arg ); 

FloatType GroundWaterRemoval ( FloatPtr  process_x_in_dummy_arg,
                               FloatPtr  process_par_dummy_arg,
                               FloatPtr  general_par_arg,
                               FloatType leak_dummy_arg,
                               int       submodel_dummy_arg ); 


#endif

