/*
 * GREAT-ER
 *
 * R_RIVER.H
 *
 * author =  Geert Boeije
 * state =   07.11.1997
*/

#ifndef R_RIVER_H
#define R_RIVER_H 

FloatType RiverHydrolysis ( FloatType pH_arg );

FloatType RiverPhotolysis ( FloatType depth_arg );

FloatType RiverBiodeg ( FloatType DO_arg,
                        FloatType X_arg,
                        FloatType f_dissolved_arg,
                        FloatType f_sorbed_arg );

FloatType RiverSedimentation ( FloatType depth_arg,
                               FloatType SS_arg,
                               FloatType f_sorbed_arg );

FloatType RiverVolatilization ( FloatType depth_arg,
                                FloatType velocity_arg,
                                FloatType pH_arg,
                                FloatType f_dissolved_arg );

FloatType RiverRemoval ( FloatPtr  process_x_in_arg,
                         FloatPtr  process_par_arg,
                         FloatPtr  general_par_arg,
                         FloatType leak_dummy_arg,
                         int       submodel_dummy_arg );

#endif


