/*
 * GREAT-ER
 *
 * R_WWTP.H
 *
 * author =  Geert Boeije
 * state =   15.10.1997
*/

#ifndef R_WWTP_H
#define R_WWTP_H

FloatType FractionTreated ( FloatType cap_arg,
                            FloatType dwf_arg,
                            FloatType q_in_arg );

FloatType SettlerEfficiency ( FloatType r_SS_max_arg,
                              FloatType alpha_arg,
                              FloatType q_arg,
                              FloatType dwf_arg,
                              FloatType ss_arg );

FloatType PrimarySimpleTreat ( FloatPtr wwtp_par_arg,
                               FloatType q_in_arg,
                               FloatType phi_in_arg,
                               FloatType dwf_arg,
                               FloatType* f_dissolved_arg,
                               FloatType* f_sorbed_arg,
                               FloatType R_SS_prim_arg );

FloatType PrimRemoval ( FloatPtr  wwtp_par_arg,
                        FloatType q_in_arg,
                        FloatType phi_in_arg,
                        FloatType dwf_arg,
                        FloatType* f_dissolved_arg,
                        FloatType* f_sorbed_arg );

FloatType GreaterSimpleTreat ( FloatPtr wwtp_par_arg,
                               FloatType q_in_arg,
                               FloatType phi_in_arg,
                               FloatType dwf_arg,
                               FloatType f_dissolved_arg,
                               FloatType f_sorbed_arg,
                               FloatType R_SS_sec_arg );

FloatType ASRemoval ( FloatPtr  wwtp_par_arg,
                      FloatType q_in_arg,
                      FloatType phi_in_arg,
                      FloatType dwf_arg );

FloatType TFRemoval ( FloatPtr  wwtp_par_arg,
                      FloatType q_in_arg,
                      FloatType phi_in_arg,
                      FloatType dwf_arg );

FloatType WWTPRemoval ( FloatPtr  process_x_in_arg,
                        FloatPtr  process_par_arg,
                        FloatPtr  general_par_arg,
                        FloatType leak_arg,
                        int       submodel_arg );


#endif


